import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faHashtag} from "@fortawesome/free-solid-svg-icons";
import Button from "@/common/components/Button";
import "./styles.sass";
import {useNavigate, useParams} from "react-router-dom";

export const ChannelItem = ({id, cachedName}) => {
    const navigate = useNavigate();
    const params = useParams();

    return (
        <div className="channel-item">
            <div className="info-area">
                <FontAwesomeIcon icon={faHashtag} />
                <h2>{cachedName}</h2>
            </div>
            <div className="action-area">
                <Button onClick={() => navigate(`/guild/${params.id}/${id}/manage`) }>Manage</Button>
                <Button type="error">Delete</Button>
            </div>
        </div>
    );
}